## kernel-module-cifs 1.55.0-maemo1

=== Makefile ===
#
# Makefile for Linux CIFS VFS client 
#
obj-$(CONFIG_CIFS) += cifs.o

cifs-y := cifsfs.o cifssmb.o cifs_debug.o connect.o dir.o file.o inode.o \
	  link.o misc.o netmisc.o smbdes.o smbencrypt.o transport.o asn1.o \
	  md4.o md5.o cifs_unicode.o nterr.o xattr.o cifsencrypt.o \
	  readdir.o ioctl.o sess.o export.o cifsacl.o

cifs-$(CONFIG_CIFS_UPCALL) += cifs_spnego.o

cifs-$(CONFIG_CIFS_DFS_UPCALL) += dns_resolve.o cifs_dfs_ref.o

kernel-ver := 2.6.28-omap1
PWD := $(shell pwd)
obj-m := cifs.o
KDIR := /lib/modules/$(kernel-ver)/build



default: build

build:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
	strip --strip-debug cifs.ko

clean:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) clean

install: build

=== debian/changelog ===
kernel-module-cifs (1.55.0-maemo1) unstable; urgency=low

  * Initial Maemo Fremantle Release

 -- Nathan Anderson <nathan@andersonsplace.net>  Wed, 12 Jan 2010 15:00:00 -0500

=== debian/control ===
Source: kernel-module-cifs
Section: user/network
Priority: extra
Maintainer: Nathan <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
Standards-Version: 3.7.2

Package: kernel-module-cifs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CIFS, Samba, Windows File Share support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# This gives us the Kernel Version we defined in the sub-make file
KERNEL_VERSION ?= $(shell grep "kernel-ver :=" Makefile | sed -n -e "s/kernel-ver := //p")


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package
	$(MAKE) install
	# Install Cifs Module
	mkdir debian/kernel-module-cifs/lib
	mkdir debian/kernel-module-cifs/lib/modules
	mkdir debian/kernel-module-cifs/lib/modules/$(KERNEL_VERSION)/
	cp -f ./cifs.ko debian/kernel-module-cifs/lib/modules/$(KERNEL_VERSION)/
	
	# Install Event Startup File
	mkdir debian/kernel-module-cifs/etc
	mkdir debian/kernel-module-cifs/etc/event.d
	cp -f ./event.d/cifs debian/kernel-module-cifs/etc/event.d/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kernel-module-cifs 1.55.0-maemo1-ac0

=== debian/changelog ===
kernel-module-cifs (1.55.0-maemo1-ac0) unstable; urgency=low

  * Section fix

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 15 Sep 2010 00:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: kernel-module-cifs
-Section: user/network
+Section: utils
 Priority: extra
 Maintainer: Nathan <nathan@andersonsplace.net>
 Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
